Bug 849472 - [abrt] gvfs-gphoto2-1.10.1-3.fc16: memcpy: Process /usr/libexec/gvfsd-gphoto2 was killed by signal 11 (SIGSEGV)
[abrt] gvfs-gphoto2-1.10.1-3.fc16: memcpy: Process /usr/libexec/gvfsd-gphoto2...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:1e1b7bf2b4d1860366ef6ef8616...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 15:23 EDT by Mark Conmy
Modified: 2015-03-03 18:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:04:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (14.69 KB, text/plain)
2012-08-19 15:23 EDT, Mark Conmy
no flags Details
File: backtrace (140.21 KB, text/plain)
2012-08-19 15:23 EDT, Mark Conmy
no flags Details

  None (edit)
Description Mark Conmy 2012-08-19 15:23:01 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-gphoto2 --spawner :1.4 /org/gtk/gvfs/exec_spaw/8
comment:        I connected a Nexus 7 (Android 4.1) to transfer a video file.  It appeared to transfer well until the final megabyte or so, when it froze.  At that point, a notification about vfs-gphoto2 dying was displayed.
crash_function: memcpy
executable:     /usr/libexec/gvfsd-gphoto2
kernel:         3.4.9-1.fc16.x86_64
pid:            3701
pwd:            /
time:           Sun 19 Aug 2012 08:09:16 PM BST
uid:            17691
username:       cscmpc

backtrace:      Text file, 143576 bytes
maps:           Text file, 15039 bytes

build_ids:
:9efd824bf587def50099e2ae657a5cce012fa658
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:0dd89984fb90e1dfad350a020e91f1308cb3af6e
:0406dc93e5d067b98e166932201a6df7dde67888
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:6cded60dd119fb8b8aa41b264e12931cb2c7b67f
:b5cc5510167fc62ecff7cef6f4e92ed168ba28d7
:83ecebde12fbdca06b42acb8020b6bd3add804ea
:a638ccc3535e307dfbe8338df04ee414b42a606c
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:719a85c49c612de86619fed98146f316432aee92
:616cdfde72c06f8e55b7ac23849c334e7d767bdb
:a32c691fdef342c2596803fdd7c91959c74b3cb7
:f8f4d8e260ee8f3b262936920270ace01b2da537
:578e66700318d8cec8e5f03778c434743a55e153
:2d18ecf0d880fec13b539028094b85346bdb7069
:ae1516d4bb03ce7fc44db524b228aaee9405fc17
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:7711ca18b69a0dcaa891d597be44fb0544e2fab1
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:1b19003e6958a0d2a5d116d1c31fb3193e1ba5b2
:58803db420709341d8e6a713b18e54a6e1824272
:75eaece6e0d1e075520cdfad5c398fdab4370846
:b1eabdd6f67f63acd5e36164337202a692fedfc3
:ce17aa2d5ae45fcebfea1836a88c14da70b831ed
:be507c791e34415e8f42f0e6030c889b2895cf9a
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:3bbe4d98714c66cda2944cd39900eea5d348df18
:c6739204320eb15bdcdba039a2b183298170403e
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:fc684ef0fc723dcb68a88799b8fb98e68e5f7441
:f2e24eed69cdecfdc16ed844c315a295459441ff
:0d039828591f6fe108db1d5458ca340cbfc4ff6d
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:399acd228adedc75aae4d2e35d1e7c26aa7089f3

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338360608
:/lib64/libresolv-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338360608
:/lib64/libgio-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1337667665
:/lib64/libgmodule-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1337667665
:/lib64/libusb-1.0.so.0.1.0 libusb1-1.0.9-0.6.rc1.fc16.x86_64 (Fedora Project) 1335114278
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.10.1-3.fc16.x86_64 (Fedora Project) 1330032720
:/usr/libexec/gvfsd-gphoto2 gvfs-gphoto2-1.10.1-3.fc16.x86_64 (Fedora Project) 1330033070
:/usr/lib64/libgphoto2_port/0.8.0/usb.so libgphoto2-2.4.11-1.fc16.x86_64 (Fedora Project) 1326304968
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338360608
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338360608
:/lib64/libgudev-1.0.so.0.1.0 libgudev1-173-3.fc16.x86_64 (Fedora Project) 1326304333
:/usr/lib64/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.x86_64 (Fedora Project) 1326304347
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338360608
:/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.x86_64 (Fedora Project) 1326304334
:/lib64/libglib-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1337667665
:/lib64/libgobject-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1337667665
:/usr/lib64/libgphoto2/2.4.11/ptp2.so libgphoto2-2.4.11-1.fc16.x86_64 (Fedora Project) 1326304968
:/usr/lib64/libexif.so.12.3.2 libexif-0.6.20-1.fc16.x86_64 (Fedora Project) 1326304341
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1326304322
:/usr/lib64/libgphoto2_port.so.0.8.0 libgphoto2-2.4.11-1.fc16.x86_64 (Fedora Project) 1326304968
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1326304321
:/lib64/libudev.so.0.12.0 libudev-173-3.fc16.x86_64 (Fedora Project) 1326304333
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338360608
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338360608
:/usr/lib64/libgphoto2.so.2.4.0 libgphoto2-2.4.11-1.fc16.x86_64 (Fedora Project) 1326304968
:/lib64/librt-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338360608
:/lib64/libusb-0.1.so.4.4.4 libusb-1:0.1.3-9.fc16.x86_64 (Fedora Project) 1326304337
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1334053705
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1326959115
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338360608
:/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.x86_64 (Fedora Project) 1326304333
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338360603
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-9.fc16.x86_64 (Fedora Project) 1334053905
:/lib64/libgthread-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1337667665
:/lib64/libutil-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1338360608
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.2.0-1.fc16.x86_64 (Fedora Project) 1326304334
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1326304326
:/lib64/libselinux.so.1 libselinux-2.1.6-6.fc16.x86_64 (Fedora Project) 1330032705

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-RNknfZIotS,guid=6ecb61c49c88d3d4835bcf640000001c
:XDG_SESSION_COOKIE=0d6cada84e65f26a3776ebf300000011-1345373089.893151-1429948986
:XDG_RUNTIME_DIR=/run/user/cscmpc
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=cscmpc
:XDG_SESSION_ID=2
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-RNknfZIotS,guid=6ecb61c49c88d3d4835bcf640000001c
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-cscmpc-qlOSny/database
:USER=cscmpc
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1809
:SHLVL=1
:PWD=/home/cscmpc
:GNOME_KEYRING_CONTROL=/tmp/keyring-MqEse8
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=cscmpc
:HOME=/home/cscmpc

smolt_data:
:
:
:General
:=================================
:UUID: 7c5e5278-a8b1-44cc-8d05-cec1410b0d8c
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4666.30
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad  CPU   Q8200  @ 2.33GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2331
:System Memory: 3887
:System Swap: 0
:Vendor: Unknown
:System:  
:Form factor: Unknown
:Kernel: 3.4.9-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4545:22545:32902:20482) pci, firewire_ohci, FIREWIRE, FW322/323
:(32902:14902:32902:20482) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #3
:(32902:14896:32902:20482) pci, i801_smbus, SERIAL, 82801JI (ICH10 Family) SMBus Controller
:(32902:14882:32902:20482) pci, ahci, STORAGE, 82801JI (ICH10 Family) SATA AHCI Controller
:(32902:14870:32902:20482) pci, None, PCI/ISA, 82801JIR (ICH10R) LPC Interface Controller
:(4098:26814:5762:10624) pci, None, VIDEO, Juniper [Radeon HD 5750 Series]
:(32902:11812:32902:20482) pci, None, SIMPLE, 4 Series Chipset HECI Controller
:(32902:14886:32902:20482) pci, ata_piix, STORAGE, 82801JI (ICH10 Family) 2 port SATA IDE Controller #2
:(32902:14910:32902:20482) pci, snd_hda_intel, MULTIMEDIA, 82801JI (ICH10 Family) HD Audio Controller
:(32902:4301:32902:20482) pci, e1000e, ETHERNET, 82567LF-2 Gigabit Network Connection
:(32902:14901:32902:20482) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #2
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:14900:32902:20482) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #1
:(32902:14903:32902:20482) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #4
:(32902:14904:32902:20482) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #5
:(32902:11808:32902:20482) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:14908:32902:20482) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #2
:(4098:43608:5762:43608) pci, snd_hda_intel, MULTIMEDIA, Juniper HDMI Audio [Radeon HD 5700 Series]
:(32902:14905:32902:20482) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #6
:(32902:14906:32902:20482) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #1
:(32902:11809:32902:0) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/OS-F16 / ext4 4096 4096 5160607 2806490 2544346 1310720 1006448 1006448
:/dev/md2 /boot ext4 1024 1024 495832 408628 383029 128016 127784 127784
:/dev/mapper/Home-Home /home ext4 4096 4096 25777480 18284401 16974961 6553600 6494320 6494320
:/dev/mapper/nbu-not--backed--up WITHHELD ext4 4096 4096 25803080 10258433 8947713 6553600 6400685 6400685
:/dev/mapper/nbu-scratch WITHHELD ext4 4096 4096 36250274 19774870 17933462 9207808 9062494 9062494
:

var_log_messages:
:Aug 19 12:02:36 mpc kernel: [ 1094.296478] usb 1-4: usbfs: process 3394 (gvfsd-gphoto2) did not claim interface 0 before use
:Aug 19 12:06:01 mpc kernel: [ 1299.944849] usb 1-4: usbfs: process 3485 (gvfsd-gphoto2) did not claim interface 0 before use
:Aug 19 12:06:01 mpc kernel: [ 1299.944913] usb 1-4: usbfs: process 3485 (gvfsd-gphoto2) did not claim interface 0 before use
:Aug 19 12:06:01 mpc kernel: [ 1300.066197] usb 1-4: usbfs: process 3485 (gvfsd-gphoto2) did not claim interface 0 before use
:Aug 19 12:06:01 mpc kernel: [ 1300.067305] usb 1-4: usbfs: process 3485 (gvfsd-gphoto2) did not claim interface 0 before use
:Aug 19 12:06:01 mpc kernel: [ 1300.224414] usb 1-4: usbfs: process 3485 (gvfsd-gphoto2) did not claim interface 0 before use
:Aug 19 12:06:32 mpc kernel: [ 1331.013774] usb 1-4: usbfs: process 3508 (gvfsd-gphoto2) did not claim interface 0 before use
:Aug 19 20:09:16 mpc kernel: [30294.813147] gvfsd-gphoto2[5940]: segfault at 8 ip 0000003dffd3bf28 sp 00007f23c9593d18 error 6 in libc-2.14.90.so[3dffc00000+1ad000]
:Aug 19 20:09:48 mpc abrt[5944]: Saved core dump of pid 3701 (/usr/libexec/gvfsd-gphoto2) to /var/spool/abrt/ccpp-2012-08-19-20:09:16-3701 (2090192896 bytes)
Comment 1 Mark Conmy 2012-08-19 15:23:06 EDT
Created attachment 605527 [details]
File: maps
Comment 2 Mark Conmy 2012-08-19 15:23:09 EDT
Created attachment 605528 [details]
File: backtrace
Comment 3 Fedora End Of Life 2013-01-16 14:04:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 18:04:43 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.